org.apache.mina.statemachine.context

## Class DefaultStateContextFactory

- java.lang.Object
- - org.apache.mina.statemachine.context.DefaultStateContextFactory

- All Implemented Interfaces:
    StateContextFactory

      public class DefaultStateContextFactory
      extends Object
      implements StateContextFactory

  `StateContextFactory` which creates `DefaultStateContext` objects.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultStateContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateContext` | `create()` Creates a new `StateContext`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultStateContextFactory

          public DefaultStateContextFactory()

  - ### Method Detail

    - #### create

          public StateContext create()

      Description copied from interface: `StateContextFactory`
      Creates a new `StateContext`.
      Specified by:
        `create` in interface `StateContextFactory`
      Returns:
        the newly created `StateContext`.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.